/// <reference types="source-map" />
import { RawSourceMap } from 'source-map';
import Task from '@dojo/core/async/Task';
/**
 * Expand a list of glob patterns into a flat file list
 */
export declare function expandFiles(patterns?: string[] | string): string[];
/**
 * Get the user-supplied config data, which may include command line args and a config file.
 */
export declare function getConfig(configFile?: string): Task<any>;
/**
 * Normalize a path (e.g., resolve '..')
 */
export declare function normalizePath(path: string): string;
/**
 * Given a source filename, and optionally code, return the file's source map if one exists.
 */
export declare function readSourceMap(sourceFile: string, code?: string): RawSourceMap | undefined;
